1. Cart
Salla Platform Docs
  • Overview
  • Authentication
  • Key Concepts
  • Usage Flows
  • Cart
    • Save guest cart data
      POST
    • Generate cart
      POST
    • Get cart
      GET
    • Assign cart to Customer
      POST
    • Apply cart coupon
      POST
    • Remove cart coupon
      DELETE
  • Cart Items
    • Add cart item
      POST
    • Update cart item
      PATCH
    • Delete cart item
      DELETE
  • Schemas
    • SuccessEnvelope
    • GuestDataRequest
    • GuestData
    • Error
    • Money
    • CartTotals
    • TotalLineItem
    • CartItem
    • AssignShippingRequest
    • CartItemsRequest
    • ProductIdentifier
    • CartItemEntry
    • RemoveItemsRequest
    • BadRequest
    • Unauthorized
    • Forbidden
    • NotFound
    • ValidationError
    • Currency
    • AmountLine
    • CartScope
    • CartFeatures
    • CartAmounts
    • CartDiscountEntry
    • CartOptionEntry
    • Cart
    • CartShipping
    • CartItemCreateRequest
    • CartItemUpdateRequest
    • ApplyCouponRequest
    • ErrorEnvelope
    • CartItemOptionInput
    • ErrorObject
    • GenerateCartRequest
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Salla - Opensource
Salla - Developers Community
  1. Cart

Save guest cart data

Production
https://api.salla.dev/store/v2/checkout
Production
https://api.salla.dev/store/v2/checkout
POST
https://api.salla.dev/store/v2/checkout
/{id}/guest
Last modified:2026-06-15 20:30:17
Saves guest contact details (name, email, phone) on the cart for guest checkout. Email is validated against disposable-email and store blacklist rules.

Request

Path Params

Body Params application/jsonRequired

Example
{
    "first_name": "string",
    "last_name": "string",
    "email": "[email protected]",
    "phone": "string",
    "country_code": "string",
    "country_key": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.salla.dev/store/v2/checkout//guest' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "first_name": "string",
    "last_name": "string",
    "email": "[email protected]",
    "phone": "string",
    "country_code": "string",
    "country_key": "string"
}'

Responses

🟢200
application/json
OK
Bodyapplication/json

Example
{
    "status": 200,
    "success": true,
    "data": {
        "first_name": "Sara",
        "last_name": "Almutairi",
        "email": "[email protected]",
        "phone": "501234567",
        "country_code": "sa",
        "country_key": "+966"
    }
}
🟠403
🟠404
🟠422
Modified at 2026-06-15 20:30:17
Previous
Usage Flows
Next
Generate cart